Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Interface Link

All Known Subinterfaces:
  ExternalLink

All Known Implementing Classes:
  Link_Standard, RegisterLink, SerialLink

    public interface Link

Abstract link generator class. This class is responsible for generating the link endpoint module for a specific channel. There will be separate instances of this class for each channel in the RDL design, even if they are of the same link type.

Version:
  $Revision: 1.14 $
Author:
  Greg Gibeling

Method Summary
`boolean` | `generate(UnitInstance unitInstance, java.lang.String fieldName, Namespace _namespace, ChannelModel channelModel, Library library)` Set up this link object, giving it the local unit, port/channel and output namespace.
`Module` | `getModule()` Get the local link module, which will then be instantiated in the wrapper.
`ModuleWireGroup` | `getWires(boolean input)` Simple accessor.
`java.lang.String` | `getWiresName()` Simple accessor.

Method Detail

### generate

    boolean generate(UnitInstance unitInstance,
                     java.lang.String fieldName,
                     Namespace _namespace,
                     ChannelModel channelModel,
                     Library library)

  Set up this link object, giving it the local unit, port/channel and output namespace. This method is responsible for all of the dirty work of link generation.

  Parameters:
    `unitInstance` - The unit instance we're generating a link for.
    `fieldName` - The name of the unit field this link will be for (could be a channel or a port).
    `_namespace` - The namespace to construct the resulting module in.
    `channelModel` - The channel model that applies to the given field.
    `library` - Hardware library from which to draw library components.

### getModule

    Module getModule()

  Get the local link module, which will then be instantiated in the wrapper. This will take the link controls, the message and the link specific wires and tie them all together.

  Returns:
    The local link module.

### getWires

    ModuleWireGroup getWires(boolean input)

  Simple accessor.

  Parameters:
    `input` - `true` if the wires should correspond to an input port.
  Returns:
    The group of wires used by the link. Present in every module which lies along the complete channel path.

### getWiresName

    java.lang.String getWiresName()

  Simple accessor.

  Returns:
    The name of the wire group returned by getWires().
  See Also:
    `getWires(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD